
%global meadversion 1.0.0
%global namedversion 1.0.0.MR1-redhat-8
%global meadalpha .MR1_redhat_8
%global meadrel .1
%global serial 7
%global namedversionrel redhat-8

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}sun-ws-metadata-2.0-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.MR1-redhat-8

Name:           %{?scl_prefix}sun-ws-metadata-2.0-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JSR-181 Maintenance Release 1
Group:          Development/Java

%if %with mead
Source100: jsr181-api-1.0.0.MR1-redhat-8-scm-sources.zip
Source102: jsr181-api-1.0.0.MR1-redhat-8-project-sources.tar.gz
Source103: jsr181-api-1.0.0.MR1-redhat-8.jar
Source104: jsr181-api-1.0.0.MR1-redhat-8-sources.jar
Source105: jsr181-api-1.0.0.MR1-redhat-8.pom
Source106: jsr181-api-1.0.0.MR1-redhat-8-javadoc.jar
%endif

License:        CDDL-1.0 or GPLv2
URL:            http://jcp.org/en/jsr/summary?id=181
Source1:        https://glassfish.dev.java.net/public/CDDL+GPL.html
Provides:       %{?scl_prefix}jsr181-api = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jsr181-api-%{namedversion}-%{release}-root

%description
Web Services Metadata for Java.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jsr181-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jsr181-api -T -b 100
%{__cp} -p %{SOURCE1} .

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jsr181-api-%{namedversion}.jar %{buildroot}%{_javadir}/jsr181-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jsr181-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jsr181-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jsr181-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jsr181-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jsr181-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jsr181-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jsr181-api-%{namedversion} -x META-INF/\*
%{__ln_s} jsr181-api-%{namedversion} %{buildroot}%{_javadocdir}/jsr181-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc CDDL+GPL.html
%{_javadir}/jsr181-api-%{namedversion}.jar
%{_javadir}/jsr181-api.jar
%if %with javadoc
%{_javadir}/jsr181-api-%{namedversion}-javadoc.jar
%{_javadir}/jsr181-api-javadoc.jar
%endif
%{_javadir}/jsr181-api-%{namedversion}-sources.jar
%{_javadir}/jsr181-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jsr181-api-%{namedversion}
%{_javadocdir}/jsr181-api
%endif

%changelog
* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 1.0.0-7.MR1_redhat_8.1
- Rewrap for 7.2.0

* Wed Nov 08 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.0-6.MR1_redhat_8.1
- Fix License (JBEAP-13468)

* Wed Nov 08 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.0-5.MR1_redhat_8.1
- Fix License (JBEAP-13468)

* Wed Sep 23 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-4.MR1_redhat_8.1
- update parent pom

* Fri Apr 24 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-3.MR1_redhat_7.2
- fix subpackage

* Fri Apr 10 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-1.MR1_redhat_7.2
- release
